# FreeIPA design documentation


* [One-way trust with shared secret](adtrust/oneway-trust-with-shared-secret.md)


* [Support domain controller for Samba file server as domain member on IPA client](adtrust/samba-domain-controller.md)


* [Support Samba file server as a domain member on IPA client](adtrust/samba-domain-member.md)


* [Manage FreeIPA as a user from a trusted Active Directory domain](adtrust/admin-ipa-as-trusted-user.md)


* [Include users and groups from a trusted Active Directory domain into SUDO rules](adtrust/sudorules-with-ad-objects.md)


* [ID Range: new option for private groups](adtrust/auto-private-groups.md)


* [Integrate SID configuration into base IPA installers](adtrust/sidconfig.md)


* [Policies by authentication indicators](krb-ticket-policy.md)


* [Extdom plugin protocol](extdom-plugin-protocol.md)


* [Expiring Password Notifications](expiring-password-notification.md)


* [LDAP Grace Period](ldap_grace_period.md)


* [PasswordExpired control](ldap_grace_period.md#passwordexpired-control)


* [LDAP PAM Passthrough support](ldap_pam_passthrough.md)


* [Password quality using libpwquality](libpwquality.md)


* [Member Manager for group membership](membermanager.md)


* [IPA Migration](ipa_to_ipa_migration.md)


* [Hidden replicas](hidden-replicas.md)


* [Disable Stale Users](disable-stale-users.md)


* [LDAPI autobind authentication for services](ldapi-autobind-services.md)


* [Central management of subordinate user and group ids](subordinate-ids.md)


* [FreeIPA and an external identity provider integration](external-idp/external-idp.md)


* [IPA and an external identity provider integration - idp objects](external-idp/idp-api.md)


* [Random Serial Numbers v3 (RSNv3)](random-serial-numbers.md)
