# FreeIPA workshop

# Workshop:


* [Introduction](workshop/workshop.md)


* [Preparation](workshop/workshop.md#preparation)


* [Unit 1: Installing the FreeIPA server](workshop/1-server-install.md)


* [Unit 2: Enrolling client machines](workshop/2-client-install.md)


* [Unit 3: User management and Kerberos authentication](workshop/3-user-management.md)


* [Unit 4: Host-based access control (HBAC)](workshop/4-hbac.md)


* [Unit 5: Web application authentication and authorisation](workshop/5-web-app-authnz.md)


* [Unit 6: Service certificates](workshop/6-cert-management.md)


* [Unit 7: Replica installation](workshop/7-replica-install.md)


* [Unit 8: Sudo rule management](workshop/8-sudorule.md)


* [Unit 9: SELinux User Maps](workshop/9-selinux-user-map.md)


* [Unit 10: SSH user and host key management](workshop/10-ssh-key-management.md)


* [Unit 11: Kerberos ticket policy](workshop/11-kerberos-ticket-policy.md)


* [Unit 12: Authentication against external Identity Providers](workshop/12-external-idp-support.md)



* [Troubleshooting](workshop/troubleshooting.md)


    * [Local webserver](workshop/troubleshooting.md#local-webserver)


    * [DNS / hosts file issues](workshop/troubleshooting.md#dns-hosts-file-issues)


        * [Flush cache](workshop/troubleshooting.md#flush-cache)


    * [Virtual network](workshop/troubleshooting.md#virtual-network)


    * [Vagrant](workshop/troubleshooting.md#vagrant)


    * [mod_lookup_identity](workshop/troubleshooting.md#mod-lookup-identity)


* [Building Vagrant box images](workshop/building.md)


    * [Requirements](workshop/building.md#requirements)


    * [Packer template](workshop/building.md#packer-template)


    * [Building the vagrant images](workshop/building.md#building-the-vagrant-images)


    * [Uploading boxes to Vagrant Cloud](workshop/building.md#uploading-boxes-to-vagrant-cloud)


* [Notes for workshop facilitators](workshop/facilitators.md)


    * [Orientation presentation](workshop/facilitators.md#orientation-presentation)


    * [Feedback](workshop/facilitators.md#feedback)


    * [Vagrant boxes](workshop/facilitators.md#vagrant-boxes)
