# Troubleshooting

## Local webserver

Drop firewall:

```default
sudo firewall-cmd --add-service=http
```

## DNS / hosts file issues

### Flush cache

Note: some resolvers cache NX.

Max OS X:

```default
dscacheutil -flushcache
```

Windows:

```default
ipconfig /flush  -- or is it /flushdns ?
```

## Virtual network

If `Vagrant::Errors::NetworkCollision` occurs, try deleting host
network device, e.g.:

```default
sudo ifconfig virbr2 down
```

*vagrant-libvirt* might have problems if the `default` network is
up:

```default
sudo virsh net-destroy default
```

## Vagrant

If `vagrant up` fails to SSH into VM, delete
`~/.vagrant.d/insecure_private_key`.  See
[https://stackoverflow.com/questions/28284112/](https://stackoverflow.com/questions/28284112/).

## mod_lookup_identity

To flush cache:

```default
$ sudo sss_cache -E
```
